{
  "name": "frontend",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "lint": "biome check .",
    "lint:fix": "biome check --write .",
    "format": "biome format --write .",
    "preview": "vite preview"
  },
  "dependencies": {
    "@better-auth/infra": "^0.2.4",
    "@fontsource-variable/geist": "^5.2.8",
    "@hookform/resolvers": "^5.2.2",
    "@radix-ui/react-label": "^2.1.8",
    "@radix-ui/react-popover": "^1.1.2",
    "@radix-ui/react-slot": "^1.2.4",
    "@repo/api-contract": "workspace:*",
    "@tanstack/react-query": "^5.96.1",
    "@tanstack/react-query-devtools": "^5.96.1",
    "@tanstack/react-router": "^1.168.10",
    "@tanstack/router-devtools": "^1.166.11",
    "axios": "^1.14.0",
    "better-auth": "^1.6.4",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "date-fns": "^4.1.0",
    "input-otp": "^1.4.2",
    "lucide-react": "^1.7.0",
    "radix-ui": "^1.4.3",
    "react": "^19.2.4",
    "react-day-picker": "^8.10.0",
    "react-dom": "^19.2.4",
    "react-hook-form": "^7.72.0",
    "shadcn": "^4.1.2",
    "simple-icons": "^16.15.0",
    "tailwind-merge": "^3.5.0",
    "tw-animate-css": "^1.4.0",
    "vaul": "^1.1.2",
    "zustand": "^5.0.12"
  },
  "devDependencies": {
    "@tailwindcss/vite": "^4.2.2",
    "@tanstack/router-plugin": "^1.167.12",
    "@types/node": "^24.12.0",
    "@types/react": "^19.2.14",
    "@types/react-dom": "^19.2.3",
    "@vitejs/plugin-react": "^6.0.1",
    "tailwindcss": "^4.2.2",
    "typescript": "~5.9.3",
    "vite": "^8.0.1"
  }
}
